<?php
/**
 * @package XCube
 * @version $Id$
 */

class XCube_UserAccount
{
	var $_mId;
	var $_mUname;
	
	var $_mPass;

	var $mProfile;

	var $mGroups = array();
	
	/**
	 * @var bool
	 */
	var $_mGroupsLoadedFlag = false;
	
	var $_mIsGuest = false;
	
	var $_mIsService = false;
	
	function XCube_UserAccount()
	{
	}
	
	function prepare()
	{
	}
	
	function &getGroup()
	{
		$this->loadGroup();
		return $this->mGroups;
	}
	
	function loadGroup()
	{
	}
	
	function getId()
	{
		return $this->mId;
	}

	/**
	 * @return bool
	 */
	function isGuest()
	{
		return $this->_mIsGuest;
	}
	
	/**
	 * param bool $flag
	 */
	function setGuest($flag)
	{
		$this->_mIsGuest = $flag;
	}
	
	/**
	 * @return bool
	 */
	function isService()
	{
		return $this->_mIsService;
	}
	
	/**
	 * param bool $flag
	 */
	function setService($flag)
	{
		$this->_mIsService = $flag;
	}
}

?>